%define upstream_name    File-ShareDir-Tarball
%define upstream_version 0.2.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Deal transparently with shared files distributed as tarballs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If the shared files of a distribution are contained in a tarball (see the
Dist::Zilla::Plugin::ShareDir::Tarball manpage for why you would want to do
that), automatically extract the archive in a temporary directory and
return the path to that directory. If called for a regular distribution
without a bundle file ('shared-files.tar.gz'), it'll return the original
shared dir. In other words, from the consumer point of view, it'll behave
just like the File::ShareDir manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-2.mga4
+ Revision: 527653
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.2.2-1.mga4
+ Revision: 441576
- update to 0.2.2

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 367382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.2.1-1.mga3
+ Revision: 315738
- update to 0.2.1

* Sun Oct 21 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 308780
- adding missing buildrequires:
- imported package perl-File-ShareDir-Tarball


* Sun Oct 21 2012 cpan2dist 0.2.0-1mga
- initial mageia release, generated with cpan2dist
